FROM node:18.2.0-alpine

WORKDIR /app
COPY . .
RUN npm ci
RUN npm audit fix
RUN npm run staging

FROM node:18.2.0-alpine

WORKDIR /app
COPY --from=0 /app/package*.json ./
RUN npm ci --ignore-scripts
RUN npm audit fix
COPY --from=0 /app/build ./

EXPOSE 3000
CMD ["node", "./index.js"]